Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| deegree 2.4 (2010/11/11 10:47 build-27-official)
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.deegree.ogcwebservices.csw.manager
Class TransactionResult

    java.lang.Object
      org.deegree.ogcwebservices.DefaultOGCWebServiceResponse
          org.deegree.ogcwebservices.csw.manager.TransactionResult

All Implemented Interfaces:
  OGCWebServiceResponse

Direct Known Subclasses:
  HarvestResult

    public class TransactionResult

extends DefaultOGCWebServiceResponse

Version:
  $Revision: 18195 $, $Date: 2009-06-18 17:55:39 +0200 (Do, 18. Jun 2009) $
Author:
  Andreas Poth, last edited by: $Author: mschneider $

Field Summary

Fields inherited from class org.deegree.ogcwebservices.DefaultOGCWebServiceResponse
`exception, request`

Constructor Summary
`TransactionResult(OGCWebServiceRequest transaction, int totalInserted, int totalDeleted, int totalUpdated, InsertResults results)`

Method Summary
`static TransactionResult` | `create(Transaction transaction, Element root)`
`InsertResults` | `getResults()` returns insert result description
`int` | `getTotalDeleted()` returns the amount of records that has been deleted
`int` | `getTotalInserted()` returns the amount of records that has been inserted
`int` | `getTotalUpdated()` returns the amount of records that has been updated

Methods inherited from class org.deegree.ogcwebservices.DefaultOGCWebServiceResponse
`getException, getRequest, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### TransactionResult

    public TransactionResult(OGCWebServiceRequest transaction,
                             int totalInserted,
                             int totalDeleted,
                             int totalUpdated,
                             InsertResults results)

Parameters:
  `transaction` - source Transaction request
  `totalInserted` - the amount of records that has been inserted
  `totalDeleted` - the amount of records that has been deleted
  `totalUpdated` - the amount of records that has been updated
  `results` - insert result description

Method Detail

### create

    public static final TransactionResult create(Transaction transaction,
                                                 Element root)
                                          throws XMLParsingException

  Parameters:
    `transaction` -
    `root` -
  Returns:
    the result
  Throws:
    `XMLParsingException`

### getResults

    public InsertResults getResults()

  returns insert result description

  Returns:
    insert result description

### getTotalDeleted

    public int getTotalDeleted()

  returns the amount of records that has been deleted

  Returns:
    the amount of records that has been deleted

### getTotalInserted

    public int getTotalInserted()

  returns the amount of records that has been inserted

  Returns:
    the amount of records that has been inserted

### getTotalUpdated

    public int getTotalUpdated()

  returns the amount of records that has been updated

  Returns:
    the amount of records that has been updated

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| deegree 2.4 (2010/11/11 10:47 build-27-official)
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

an open source project founded by lat/lon, Bonn, Germany.
For more information visit: http://www.deegree.org